/*******************************************************************************
 * Dermi: A DHT-based Peer-to-Peer Middleware for Distributed Components.
 * Copyright (C) 2003-2005 Carles Pairot
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ******************************************************************************/

package dermi.samples.direct;

import dermi.*;
import dermi.exception.*;
import dermi.annotation.*;

/**
 * Interface to object's methods
 * @author Carles Pairot   <carles.pairot@urv.net>
 * @version 1.2
 */
@DermiRemoteInterface
public interface Simple extends ERemote {
  // When doing a direct call, the object's destination NodeHandle must be passed.
  // IT MUST ALWAYS BE the FIRST PARAMETER in the direct call so as it works correctly.
  @RemoteMethod (granularity = Granularity.DIRECTCALL, type = SynchronyType.SYNCHRONOUS)
  public void setAge (dermi.core.NodeHandle nh, String age) throws RemoteException;

  // When doing a direct call, the object's destination NodeHandle must be passed.
  // IT MUST ALWAYS BE the FIRST PARAMETER in the direct call so as it works correctly.
  @RemoteMethod (granularity = Granularity.DIRECTCALL, type = SynchronyType.SYNCHRONOUS)
  public String getAge (dermi.core.NodeHandle nh) throws RemoteException;

  // When doing a direct call, the object's destination NodeHandle must be passed.
  // IT MUST ALWAYS BE the FIRST PARAMETER in the direct call so as it works correctly.
  @RemoteMethod (granularity = Granularity.DIRECTCALL, type = SynchronyType.SYNCHRONOUS)
  public String merge (dermi.core.NodeHandle nh, String prefix, int num) throws RemoteException;
}
